Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.c
[Java] Interface CSourceSet

    org.gradle.api.Buildable
      org.gradle.language.DependentSourceSet
          org.gradle.language.base.LanguageSourceSet
              org.gradle.language.HeaderExportingSourceSet
                  org.gradle.language.c.CSourceSet
                      org.gradle.api.Named

All Superinterfaces:
  Buildable, DependentSourceSet, LanguageSourceSet, HeaderExportingSourceSet, Named

    @Incubating
    public interface CSourceSet
    extends DependentSourceSet, HeaderExportingSourceSet, LanguageSourceSet

A set of C source files.

A C source set contains a set of source files, together with an optional set of exported header files.

     apply plugin: "c"

     sources {
         main {
             // Configure an existing CSourceSet
             c {
                 source {
                     srcDirs "src/main/cpp", "src/shared/c++"
                     include "**{literal:/}*.c"
                 }
                 exportedHeaders {
                     srcDirs "src/main/include"
                 }
             }
         }
     }

Method Summary

Methods inherited from interface DependentSourceSet
dependency, getLibs, lib

Methods inherited from interface LanguageSourceSet
getSource, source

Methods inherited from interface HeaderExportingSourceSet
exportedHeaders, getExportedHeaders

Gradle API 1.10